# ユニークなカタログオファープロモーションを取得

指定されたユニークなカタログオファープロモーションを取得します。

Endpoint: GET /v3/project/{project_id}/admin/unique_catalog_offer/{external_id}
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `external_id` (integer, required)
    プロモーションexternal ID。プロジェクト内での一意のプロモーション識別子。
    Example: "coupon_44056_1"

## Response 200 fields (application/json):

  - `external_id` (string)
    一意のプロモーションID。external_idには、小文字と大文字のラテン英数字、ピリオド、ダッシュ、およびアンダースコアのみが含まれます。

  - `promotion_periods` (array)
    プロモーションの有効期間。複数の期間を指定する場合は、date_fromとdate_untilの両方が必須となります。

  - `promotion_periods.date_from` (string, required)
    指定されたプロモーションの開始日。
    Example: "2020-08-11T10:00:00+03:00"

  - `promotion_periods.date_until` (string,null)
    指定されたプロモーションの終了日。nullに設定した場合、プロモーションは無期限となります。単一の有効期間のみが指定されている場合に限り、nullに設定可能です。
    Example: "2020-08-11T20:00:00+03:00"

  - `name` (object)
    プロモーションの名前。キーと値のペアを含む必要があります。
キーは"^[a-z]{2}-[A-Z]{2}$"形式のロケール、値は文字列です。

  - `items` (array)
    ユニークカタログオファー使用後に利用可能なアイテムSKUリスト。
    Example: ["booster_mega_1"]

  - `is_enabled` (boolean)

  - `redeem_total_limit` (integer,null)
    クーポンの総数を制限します。

  - `redeem_user_limit` (integer,null)
    一人のユーザーが引き換えできるクーポンの総数を制限します。

  - `redeem_code_limit` (integer,null)
    コードごとの引き換え回数。

  - `total_limit_state` (object,null)
    各クーポンコードには制限があります。

  - `total_limit_state.available` (integer)
    クーポンの残り使用可能回数。
    Example: 3

  - `total_limit_state.reserved` (integer)
    クーポンの予約番号。
    Example: 3

  - `total_limit_state.used` (integer)
    クーポンの使用回数。
    Example: 5

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-9802]: Coupon not found"

  - `transactionId` (string)
    Example: "x-x-x-x-transactionId-mock-x-x-x"


